function onTalk()
	disableMovement()
	if getFlag("PartyCenter") then
		playSound("event:/CC/CC_KoseiDiamond_sounds/balloonPop")
	--else
		--playSound("event:/game/07_summit/checkpoint_confetti")
	end
	if not getFlag("PartyCenter") and getMusic() ~= "event:/CC/CC_KoseiDiamond_Party" then
		playMusic("event:/CC/CC_KoseiDiamond_Party")
	end
	setFlag("PartyCenter", not getFlag("PartyCenter"))
	setFlag("EchoChamber",false)
	wait(0.2)
	enableMovement()
end
